# Venues

# Overview

A venue is a physical location in Ruckus Cloud where you deploy and manage networking devices such as access points and switches. A venue can range from a small room to a large multistory building and includes address information to identify its physical location. Each venue can contain multiple networking devices, but each AP or switch belongs to only one venue.



Version: 0.2.9
License: RUCKUS Cloud Privacy Policy

## Servers

RUCKUS One API host for North American region.
```
https://api.ruckus.cloud
```

RUCKUS One API host for European region.
```
https://api.eu.ruckus.cloud
```

RUCKUS One API host for Asian region.
```
https://api.asia.ruckus.cloud
```

## Download OpenAPI description

[Venues](https://docs.ruckus.cloud/_bundle/api/venue-0.2.9.yaml)

## Venue Template

Manage venue template instances and settings.

### Get Venue Template by ID

 - [GET /templates/venues/{venueTemplateId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue-template/getvenuetemplate.md): Get venue template by ID.

### Update Venue Template

 - [PUT /templates/venues/{venueTemplateId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue-template/updatevenuetemplate.md): Update venue template by ID.

### Delete Venue Template by ID

 - [DELETE /templates/venues/{venueTemplateId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue-template/deletevenuetemplate.md): Delete venue template by ID.
Warning: note that all network devices under this venue Template will be removed as well.

### Create Venue Template

 - [POST /templates/venues](https://docs.ruckus.cloud/api/venue-0.2.9/venue-template/createvenuetemplate.md): Create a new venue template.

## Venue

Manage venue instances and settings.

### Access Venue by ID

 - [GET /venues/{venueId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue/getvenue.md): Get venue by ID.

### Replace Venue

 - [PUT /venues/{venueId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue/updatevenue.md): Update venue by ID.

### Revoke Venue by ID

 - [DELETE /venues/{venueId}](https://docs.ruckus.cloud/api/venue-0.2.9/venue/deletevenue.md): Delete venues by ID.
Warning: note that all network devices under this venue will be removed as well.

### Request Venue

 - [POST /venues](https://docs.ruckus.cloud/api/venue-0.2.9/venue/createvenue.md): Create a new venue instance.

### Access Venue Tags

 - [GET /venues/tags](https://docs.ruckus.cloud/api/venue-0.2.9/venue/getvenuetags.md): Get list of venue tags.

## Floor Plan

Manage venue floor plans.

### Access Floor Plan

 - [GET /venues/{venueId}/floorplans/{floorPlanId}](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/getvenuefloorplan.md): Get floor plan by ID.

### Replace Floor Plan

 - [PUT /venues/{venueId}/floorplans/{floorPlanId}](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/updatevenuefloorplan.md): Update floor plan by ID.

### Revoke Floor Plan

 - [DELETE /venues/{venueId}/floorplans/{floorPlanId}](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/deletevenuefloorplan.md): Delete floor plan by ID.

### Replace Floor Plan Scale

 - [PUT /venues/{venueId}/floorplans/{floorPlanId}/scales](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/setscale.md): Update floor plan scales.

### Access Image Upload URL

 - [POST /venues/{venueId}/signurls/uploadurls](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/getfloorplanimageuploadurl.md): Get a URL where to upload a floor plan image.

### Access Floor Plans

 - [GET /venues/{venueId}/floorplans](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/getvenuefloorplans.md): Get floor plans by a venue ID.

### Request Floor Plan

 - [POST /venues/{venueId}/floorplans](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/createvenuefloorplan.md): Create a new floor plan.

### Query Floor Plans

 - [POST /venues/{venueId}/floorplans/query](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/queryvenuefloorplans.md): Get floor plans by query criteria.

### Access Image Download URL

 - [GET /venues/{venueId}/signurls/{fileId}/urls](https://docs.ruckus.cloud/api/venue-0.2.9/floor-plan/getfloorplanimagedownloadurl.md): Get the URL where to download a floor plan image.

